[Ubuntu] eclipse doesn't build anymore

cgfoed
Posts: 10
Joined: Thu Jul 18, 2019 6:40 am

[Ubuntu] eclipse doesn't build anymore

Postby cgfoed » Thu Aug 08, 2019 7:11 am

I hope this is the right forum....

My eclipse has recently refused to build any projects, wehter MDF nor IDF.

I always get the error

Code: Select all

08:41:31 **** Build of configuration Default for project receiver ****
make -j4 all 
Cannot run program "make": Unknown reason

08:41:31 Build Finished. 0 errors, 0 warnings. (took 198ms)
I could build just fine some days ago and I'm not sure what exactly changed since then. Building in Terminal works just fine as always.

I'm running Eclipse IDE for C/C++ Developers Version: 2019-06 (4.12.0)
on Ubuntu 18.04.2

I tried deleting and re-adding the projects, but it doesn't help.
Not 100% certain but very confident that I didn't updated/changed any tools recently...

Has anyone an idea?


oh, and I noted this infobox:
Since ESP-IDF V4.0, the default build system is based on CMake. This documentation is for the legacy build system based on GNU Make. Support for this build system may be removed in future major releases.
https://docs.espressif.com/projects/esp ... setup.html

Does this mean... eclipse support will go eventually? Or is there a CMake-compatibility?
UPDATE: I did some readup regarding this topic. It would be great to get an updatet tutorial on a working CMake based toolchain on linux - but as for now I'll try to stick with GNU and eclipse

ESP_Dazz
Posts: 142
Joined: Fri Jun 02, 2017 6:50 am

Re: [Ubuntu] eclipse doesn't build anymore

Postby ESP_Dazz » Tue Aug 13, 2019 6:40 am

Code: Select all

08:41:31 **** Build of configuration Default for project receiver ****
make -j4 all 
Cannot run program "make": Unknown reason
Check that you have provided the right paths in your project properties. Under Project Properties -> C/C++ Build -> Environment, your PATH variable should have appended the paths to various bin directories.

If the paths are already added, try changing your build command to which make and printenv PATH to see what which version of make eclipse is using, and what PATH it's using.
cgfoed wrote: Does this mean... eclipse support will go eventually? Or is there a CMake-compatibility?
No, there will be CMake support for eclipse. But no firm release date for that yet.

Who is online

Users browsing this forum: Bing [Bot], Google [Bot], MSN [Bot] and 11 guests